Package org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.LiteralValueReferenceElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.LiteralValueReferenceElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.LiteralValueReferenceElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LiteralValueReferenceElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives()` |
    `org.eclipse.xtext.RuleCall` | `getBoolValueParserRuleCall_2()` |
    `org.eclipse.xtext.RuleCall` | `getEnumValueParserRuleCall_3()` |
    `org.eclipse.xtext.RuleCall` | `getJavaConstantValueParserRuleCall_4()` |
    `org.eclipse.xtext.RuleCall` | `getNumberValueParserRuleCall_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.RuleCall` | `getStringValueParserRuleCall_1()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiteralValueReferenceElements

          public LiteralValueReferenceElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getNumberValueParserRuleCall_0

          public org.eclipse.xtext.RuleCall getNumberValueParserRuleCall_0()

    - #### getStringValueParserRuleCall_1

          public org.eclipse.xtext.RuleCall getStringValueParserRuleCall_1()

    - #### getBoolValueParserRuleCall_2

          public org.eclipse.xtext.RuleCall getBoolValueParserRuleCall_2()

    - #### getEnumValueParserRuleCall_3

          public org.eclipse.xtext.RuleCall getEnumValueParserRuleCall_3()

    - #### getJavaConstantValueParserRuleCall_4

          public org.eclipse.xtext.RuleCall getJavaConstantValueParserRuleCall_4()